Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.transaction
Class Isolater

    java.lang.Object
      org.hibernate.engine.transaction.Isolater

    public class Isolater

extends Object

Class which provides the isolation semantics required by an `IsolatedWork`. Processing comes in two flavors:

- `doIsolatedWork(org.hibernate.engine.transaction.IsolatedWork, org.hibernate.engine.SessionImplementor)` : makes sure the work to be done is performed in a seperate, distinct transaction
- `doNonTransactedWork(org.hibernate.engine.transaction.IsolatedWork, org.hibernate.engine.SessionImplementor)` : makes sure the work to be done is performed outside the scope of any transaction

Author:
  Steve Ebersole

Nested Class Summary
`static class` | `Isolater.JdbcDelegate` An isolation delegate for JDBC-based transactions.
`static class` | `Isolater.JtaDelegate` An isolation delegate for JTA-based transactions.

Constructor Summary
`Isolater()`

Method Summary
`static void` | `doIsolatedWork(IsolatedWork work, SessionImplementor session)` Ensures that all processing actually performed by the given work will occur on a seperate transaction.
`static void` | `doNonTransactedWork(IsolatedWork work, SessionImplementor session)` Ensures that all processing actually performed by the given work will occur outside of a transaction.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Isolater

    public Isolater()

Method Detail

### doIsolatedWork

    public static void doIsolatedWork(IsolatedWork work,
                                      SessionImplementor session)
                               throws HibernateException

  Ensures that all processing actually performed by the given work will occur on a seperate transaction.

  Parameters:
    `work` - The work to be performed.
    `session` - The session from which this request is originating.
  Throws:
    `HibernateException`

### doNonTransactedWork

    public static void doNonTransactedWork(IsolatedWork work,
                                           SessionImplementor session)
                                    throws HibernateException

  Ensures that all processing actually performed by the given work will occur outside of a transaction.

  Parameters:
    `work` - The work to be performed.
    `session` - The session from which this request is originating.
  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD